Debian Bug report logs - #595041
/boot/zfs directory missing so zpool.cache is not created

version graph

Package: zfsutils-udeb; Maintainer for zfsutils-udeb is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils-udeb is src:zfsutils.

Reported by: Henrik Riomar <henrik.riomar@gmail.com>

Date: Thu, 5 Aug 2010 18:33:01 UTC

Severity: normal

Found in version zfsutils/8.1-3

Fixed in version 8.1-4

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#591820; Package zfsutils. (Thu, 05 Aug 2010 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrik Riomar <henrik.riomar@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Aug 2010 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henrik Riomar <henrik.riomar@gmail.com>
To: submit@bugs.debian.org
Subject: /boot/zfs directory missing so zpool.cache is not created
Date: Thu, 5 Aug 2010 20:28:54 +0200
Package: zfsutils
Version: 8.1-1

When creating a pool with the zpool command as follows;
  zpool create tank mirror ad1 ad2

The zpool.cache file is not get created, if manually creating
/boot/zfs it is however created as /boot/zfs/zpool.cache.

I suggest that the package zfsutils include the directory /boot/zfs.




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Fri, 06 Aug 2010 02:55:03 GMT) Full text and rfc822 format available.

Notification sent to Henrik Riomar <henrik.riomar@gmail.com>:
Bug acknowledged by developer. (Fri, 06 Aug 2010 02:55:03 GMT) Full text and rfc822 format available.

Message #10 received at 591820-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 591820-close@bugs.debian.org
Subject: Bug#591820: fixed in zfsutils 8.1-2
Date: Fri, 06 Aug 2010 02:50:25 +0000
Source: zfsutils
Source-Version: 8.1-2

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair-dev_8.1-2_kfreebsd-i386.deb
libnvpair0-udeb_8.1-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libnvpair0-udeb_8.1-2_kfreebsd-i386.udeb
libnvpair0_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair0_8.1-2_kfreebsd-i386.deb
libuutil-dev_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil-dev_8.1-2_kfreebsd-i386.deb
libuutil0-udeb_8.1-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libuutil0-udeb_8.1-2_kfreebsd-i386.udeb
libuutil0_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil0_8.1-2_kfreebsd-i386.deb
libzfs-dev_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs-dev_8.1-2_kfreebsd-i386.deb
libzfs0-udeb_8.1-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libzfs0-udeb_8.1-2_kfreebsd-i386.udeb
libzfs0_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs0_8.1-2_kfreebsd-i386.deb
zfsutils-udeb_8.1-2_kfreebsd-i386.udeb
  to main/z/zfsutils/zfsutils-udeb_8.1-2_kfreebsd-i386.udeb
zfsutils_8.1-2.diff.gz
  to main/z/zfsutils/zfsutils_8.1-2.diff.gz
zfsutils_8.1-2.dsc
  to main/z/zfsutils/zfsutils_8.1-2.dsc
zfsutils_8.1-2_kfreebsd-i386.deb
  to main/z/zfsutils/zfsutils_8.1-2_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Aug 2010 03:45:27 +0200
Source: zfsutils
Binary: libuutil0 libuutil-dev libuutil0-udeb libnvpair0 libnvpair-dev libnvpair0-udeb libzfs0 libzfs-dev libzfs0-udeb zfsutils zfsutils-udeb
Architecture: source kfreebsd-i386
Version: 8.1-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair0 - OpenSolaris name-value pair library
 libnvpair0-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil0  - OpenSolaris userland utility library
 libuutil0-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs0    - FreeBSD ZFS library
 libzfs0-udeb - FreeBSD ZFS library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb)
Closes: 591820 591823
Changes: 
 zfsutils (8.1-2) unstable; urgency=low
 .
   * Create a /boot/zfs/ directory so that zpool.cache can be created
     there. Closes: bug#591820.
   * Add an initscript to mount/umount filesystems. Closes: bug#591823.
Checksums-Sha1: 
 51d2b68db3578c0f59b038f7ce905e2f6358fe8c 1405 zfsutils_8.1-2.dsc
 a75cb75c3144a85e48cd74f2779612cb344e87df 18278 zfsutils_8.1-2.diff.gz
 a94cb368dea942f2da335e0279e7a647977550b2 26340 libuutil0_8.1-2_kfreebsd-i386.deb
 b16a0085c948ef1f00311bdb693e3d0f7d8ee439 27140 libuutil-dev_8.1-2_kfreebsd-i386.deb
 381944d21ed06be133fd3b34f9a24a5e595b4c6a 15586 libuutil0-udeb_8.1-2_kfreebsd-i386.udeb
 049a5d61a79ca40477195a5b94b8c605817b0b64 26870 libnvpair0_8.1-2_kfreebsd-i386.deb
 a457b3bf8359b73d1b69a7d262160bfc2be48d6e 27370 libnvpair-dev_8.1-2_kfreebsd-i386.deb
 3f70a8e026d3b8202fa2211f081d5059f214c3be 16004 libnvpair0-udeb_8.1-2_kfreebsd-i386.udeb
 a7b7bef5ab1e393a17a94930122d1c958fed0707 105656 libzfs0_8.1-2_kfreebsd-i386.deb
 14639be5868f9d7e1a5d9284cdeb9ad9790d5a39 130368 libzfs-dev_8.1-2_kfreebsd-i386.deb
 0d06b85cc2455284fb972bacc838aca9bfb22833 95298 libzfs0-udeb_8.1-2_kfreebsd-i386.udeb
 af9bbbaf35bd35515cd8365985c7beb8d19c32da 109450 zfsutils_8.1-2_kfreebsd-i386.deb
 cb3119c007ccb8efe53f7f94f879cafb0e5d9211 64446 zfsutils-udeb_8.1-2_kfreebsd-i386.udeb
Checksums-Sha256: 
 8fe238af0498576a1c1b7098af104b7801131108e2ff6a83edea54591dea2f8d 1405 zfsutils_8.1-2.dsc
 b553d1f052deaf7d2e21d4f159039c4a0a6c49b75a1cd571d8bf9f4ccc1944c2 18278 zfsutils_8.1-2.diff.gz
 d147628d3744ab5ea2b03d9e8d36e3bfbd48b25b5af91d4910e17bef2be4cfab 26340 libuutil0_8.1-2_kfreebsd-i386.deb
 3af52bb55e785f044efe957c241108b3f81564ef97dd875773525e84c5b7cb48 27140 libuutil-dev_8.1-2_kfreebsd-i386.deb
 2a3d9d783cc08e901c51836897e68fbe1addc0fc0ddfc5d1cec4c915d557a2d8 15586 libuutil0-udeb_8.1-2_kfreebsd-i386.udeb
 d7f25e42e6023aeaf589f33af7c49c3cc7ae41a750117626a471cd4f8df1cca3 26870 libnvpair0_8.1-2_kfreebsd-i386.deb
 bd51ec5badb122742f7d62318806ba7289964edfbbac82bc3ec5a40a138d02a0 27370 libnvpair-dev_8.1-2_kfreebsd-i386.deb
 076853c736af9cc20a26cd0ee8c5184c5ca88e2aea7c3dac9ae7c67c3c9e6c16 16004 libnvpair0-udeb_8.1-2_kfreebsd-i386.udeb
 fe4128c9b4d5fa7163df7c9659639040f8babc8a0a531997891568e3c4f965f6 105656 libzfs0_8.1-2_kfreebsd-i386.deb
 fe79e6a4728483c3eeca4dea7b0b5f2eb17edb404e3958b87df4b0a7970a4871 130368 libzfs-dev_8.1-2_kfreebsd-i386.deb
 5fcf600ddaf92ec8a3b671174ffde43b3998e39606c2ca8e221c2327eca29051 95298 libzfs0-udeb_8.1-2_kfreebsd-i386.udeb
 19812e822d8f85926342cdcd460ffa130fd42f5d409ffc938b23a3a48e7d3709 109450 zfsutils_8.1-2_kfreebsd-i386.deb
 6ae7597ed1bcd26b165131bd66a5262a216f6611d27651a017c5bf4852d77f3a 64446 zfsutils-udeb_8.1-2_kfreebsd-i386.udeb
Files: 
 d24c61c397648b098153049b7f57c1a5 1405 admin optional zfsutils_8.1-2.dsc
 084c44d9e6a0a50db9c4351a43e22d0c 18278 admin optional zfsutils_8.1-2.diff.gz
 1ddc7d0b4c04cc69e68a1d2d68812f90 26340 libs optional libuutil0_8.1-2_kfreebsd-i386.deb
 73dd64bf316200d6c08b35ff89649da1 27140 libdevel optional libuutil-dev_8.1-2_kfreebsd-i386.deb
 667d62ac0d19d6dcac0913ecdee54750 15586 debian-installer optional libuutil0-udeb_8.1-2_kfreebsd-i386.udeb
 21a08ec6fb84ada43e8fd7d2bc21eeae 26870 libs optional libnvpair0_8.1-2_kfreebsd-i386.deb
 569d81f0816c5eddbf7fa3ffbcdfc0d4 27370 libdevel optional libnvpair-dev_8.1-2_kfreebsd-i386.deb
 9e62c438dcfe1feb16515bc725a16bf4 16004 debian-installer optional libnvpair0-udeb_8.1-2_kfreebsd-i386.udeb
 067903d2dde56662cab6a7b4c9628d90 105656 libs optional libzfs0_8.1-2_kfreebsd-i386.deb
 27676e5937863164589d2dbb4843fea6 130368 libdevel optional libzfs-dev_8.1-2_kfreebsd-i386.deb
 9e8a9e756031f2c7665e5cbe6427952c 95298 debian-installer optional libzfs0-udeb_8.1-2_kfreebsd-i386.udeb
 c3366d1ec011a68864e55f2f4558eb33 109450 admin optional zfsutils_8.1-2_kfreebsd-i386.deb
 fb4f6b57517d8ba0f64464ac36da73bb 64446 debian-installer optional zfsutils-udeb_8.1-2_kfreebsd-i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMW3Kjw3ao2vG823MRAshbAKCK61UFWBZ/OnWkoXWtQzMOpZq7xQCdEY+O
PzJ5+8AowJtm1w7XQGAxidM=
=bAC0
-----END PGP SIGNATURE-----





Bug 591820 cloned as bug 595041. Request was from Robert Millan <rmh@gnu.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 16:27:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'zfsutils' to 'zfsutils-udeb'. Request was from Robert Millan <rmh@gnu.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 16:27:16 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions zfsutils/8.1-1. Request was from Robert Millan <rmh@gnu.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 16:27:16 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions zfsutils/8.1-2. Request was from Robert Millan <rmh@gnu.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 16:27:17 GMT) Full text and rfc822 format available.

Bug Marked as found in versions zfsutils/8.1-3 and reopened. Request was from Robert Millan <rmh@gnu.org> to control@bugs.debian.org. (Tue, 31 Aug 2010 16:27:18 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 21:25:10 GMT) Full text and rfc822 format available.

Notification sent to Henrik Riomar <henrik.riomar@gmail.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 21:25:11 GMT) Full text and rfc822 format available.

Message #25 received at 595041-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 595041-done@bugs.debian.org
Subject: fixed
Date: Fri, 17 Jun 2011 23:22:45 +0200
Version: 8.1-4

-- 
Robert Millan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jul 2011 07:36:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:31:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.